import 'package:flutter/material.dart';

class SuiBouncingSingleChildScrollView extends StatelessWidget {
  const SuiBouncingSingleChildScrollView({
    Key? key,
    this.child,
    this.padding,
  }) : super(key: key);

  final Widget? child;
  final EdgeInsetsGeometry? padding;

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      physics: BouncingScrollPhysics(),
      padding: padding,
      child: child ?? SizedBox.shrink(),
    );
  }
}
