import 'dart:ui';

import 'package:flutter/material.dart';

class SuiFrostedFilter extends StatelessWidget {
  const SuiFrostedFilter({
    Key? key,
    required this.child,
  }) : super(key: key);

  final Widget? child;

  @override
  Widget build(BuildContext context) {
    return BackdropFilter(
      filter: ImageFilter.blur(
        sigmaX: 5.0,
        sigmaY: 5.0,
      ),
      child: child,
    );
  }
}
