import 'package:flutter/material.dart';
import 'package:sigma_ui/sigma_ui.dart';
import 'package:sigma_ui/shared/padding.dart';

class SuiPaddingWidget extends StatelessWidget {
  const SuiPaddingWidget({
    Key? key,
    required this.child,
  }) : super(key: key);

  final Widget child;

  SigmaUi get theme => SigmaUi();

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: theme.padding.main,
      child: child,
    );
  }
}
